import json
from random import choice
from .names import data


def all(gender=""):
    if gender == 'male':
        names = data['male']
    elif gender == 'female':
        names = data['female']
    else:
        names = []
        for gender in data:
            for name in gender:
                names.append(name)
    return json.dumps(names, indent=4)


def random(gender=""):
    names = all(gender)
    return choice(names)
